XNap NEWS file

Version 2.5r3 (2004-07-14)

Improvements

 - Addition of new server list providers, gotnap.com and
	naplist.com. (Napigator seems to be pretty much dead by now...)
 - Server lists can now be edited, as in XNap 3.0.

Version 2.5r2 (2004-03-23)

Bug Fixes

 - The problem with dead tcp sockets remaining in CLOSE_WAIT state forever was
	fixed.
Improvements

 - Setting "Max Uploads" to 0 is disabled explicitly now.

Version 2.5r1 (2003-12-20)

Bug Fixes

 - Some icons were updated and technically corrected (alpha-channels).
 - The endless loop when running an updated version from the home directoy was
	fixed.
 - Filesizes are no longer encoded in file names. They were not used anyway.

Improvements

 - Gui is no longer shown when XNap waits for all transfers to stop on exit.

Version 2.5 (2003-11-10)

Bug Fixes

 - Some weird code that might even have caused resumes to fail completely has
   been removed.
 - Transfers are stopped when XNap is exited.
 - Downloads that failed due to a non-writable directory are no longer stuck
   in the list.

Improvements

 - Downloads started with this version can be resumed with XNap v3 too.
 - Server connects are retried three times.
 - The filesize is added to the name of the temporary file.


Version 2.5-pre3 (2003-10-06)

Bug Fixes

 - Topics containg spaces should be parsed correctly in all places.

New Features

 - A sharing and a general copyrights message has been added.
 - Chat sessions can be saved to a textfile.

Improvements

 - Servers sending messages about ghosts and nick collisions should be handled
   more sensibly now.


Version 2.5-pre2 (2003-05-06)

Bug Fixes

 - Filenames are no longer sent multiple times if MaxSharesPerServer is higher
   than than the actual number of shared files.

New Features

 - .wsx files can now be imported and exported.

Improvements

 - Hotlist data is now written immediately after a user has been added to
   prevent data loss.


Version 2.5-pre1 (2003-04-22)

Bug Fixes

 - A bug that caused resume files not to be closed has been fixed.

New Features

 - Redirector functionality has been backported from xnap3.
 - A "Position in Queue" column has been added.

Improvements

 - Lots of new icons.

Version 2.4r1 (2003-03-13)

Bug Fixes

 - The "Frequently Asked Questions" menu works again.

Version 2.4 (2003-03-09)

New Features

 - Away/Autoresponder functionality.

Improvements

 - Updated Italian, Spanish, and French translation.
 - The Audio Mimetype finally finds mp3 files as well.
 - The library update intervall has been increased from 10 to 60 minutes
   which should ease the overall load a bit.

Bug Fixes

 - Downloads where the resume fails are no longer retried.
 - The bandwidth related problems should be gone.

Version 2.4-pre5 (2003-01-18)

Improvements

 - Updated Italian translation.
 - XNap sends //WANTQUEUE messages to some more clients now.

Bug Fixes

 - Searching for images on opennap and opennap-ng servern was fixed.
 - A race condition in the connector has been fixed.
 - Handling of upper ip ranges has been fixed.
 - Whitespaces in network names are no longer allowed.
 - The incomplete directory should really no longer be shared now.

Version 2.4-pre4 (2003-01-07)

New Features

 - Made Mac OS application menu work.
 - Added transfer logging in Common Logging Format for statistical
   analysis with webalizer.

Improvements

 - Updated Japanese and Chinese translation.
 - Added more file extensions to media type filter.
 - Readded user menu icons to toolbars.

Bug Fixes

 - Don't create ghost files if downloads are resumed multiple times.
 - Fixed download requests only being sent once.
 - Changed directory selection dialog on Mac OS.
 - Fixed constraint exception in chat user table.
 - Fixed OpenNap listener being blocked forever, which could made all
   uploads fail with "Listener Timeout"
 - Fixed filtering by filesize.
 - Fixed indefinite stalled downloads. Now downloads will be canceled
   if no data is received for 60 seconds.
 - Fixed network information not being set when server sends redirect
   message. 
 - Fixed WinMX queueing. Thanks to Shinada Atsushi for providing
   patches.

Version 2.4-pre3 (2002-12-18)

Improvements

 - Updated Japanese and Dutch translation.

Bug Fixes

 - A major bug in the sharing code has been fixed. This should make uploading
   on Windows and OS/2 possible again.

Version 2.4-pre2 (2002-12-10)

New Features

 - Chinese translation thanks to Liu Emile.
 - Dutch translation thanks to Victor van den Bos.

Improvements

 - Partial file size column was added.
 - Channels can be joined by double-clicking.

Bug Fixes

 - Listener is restarted on the same port if it dies and server is notified if
   the port changes.
 - User limits are always honored.
 - Files are shortened every time they are resumed, since there are cases where
   the last byte is not written to disk correctly if Java crashes.
 - Empty tooltip is no longer shown.
 - Check for hidden files that should not be included into the repository when
   reading the repository.
 - The "Eatin' bytes on downloads" bug reported by Daniel Köhler Osmari has 
   been fixed.
 - Some inconsistencies in the Hotlist Panel have been fixed.

Version 2.4-pre1 (2002-11-25)

 New Features

 - Advanced download directory selection based on media type.
 - New improved hotlist with categories.
 - Added support for individual and global per user up- and download
   settings.
 - Added chat ignore for individual users.
 - Fixed Drag&Drop with JDK 1.3 in the library panel to for file moving.
 - New Cut, Copy & Paste options in the context menu of the library panel.
 - The history field now has a context-menu to clear all entries.
 - New Chat preferences.
 - Added server combo box to channel panel. This should improve
   communication in the #xnap channel. The selection of the server
   automatically changes to last server that was active in the channel
   unless sticky is selected.
 - Added Japanese translation. Many thanks to Shinada Atsushi.
 - Added global clear all histories command in edit menu and in
   context menus of history combo boxes.
 - Auto set focus to new windows.
 - OpenNap: Support for port ranges for local listener port, like
   this: "6699-7799;10240"
 - Added "Resume From" to resume existing files.
 - Always grant as many upload slots as the number of files we are
   downloading from them.
 - Added Mac OS X open command to file launcher preferences.
 - Added file logging to debug panel and fixed debug console.

 Improvements

 - Files can be shared with their full path now (default).  The
 - Preferences Dialog was heavily reworked and improved.  More
 - consistent users concept. All user action (including browse and
 - chat) are available from the user menu.  Incomplete directory is
 - not shared anymore.  Added beep checkbox to channel panel (Note,
 - beeps seem to be broken on Mac OS X 10.2 (Jaguar)) File extensions
 - can be searched in the library panel.  Completely reworked i18n
 - process. This should make translations much easier in the future.
 - OpenNap: Automatically save added servers.  Added ROM type to
 - search filter, merging patch by Francia Andrea.  Removed apply
 - button in transfer panel. Just press enter after changing any of
 - the limits.  OpenNap: Added Auto Connector startup control to menu.
 - Swing synchronized all table modifications. This should improve the
 - liveness a bit.  Use native menu bar on Mac OS X.  Replaced boring
 - black arrow icon in search panel with exiting blue double arrow
   icons by Valentin Funk.
 - Search button is disabled when no search is possible.
 - Downloads are automatically resumed (if selected in preferences)
   once half of the auto connector threshold number of servers are
   connected. 
 - OpenNap: Failed Napigator servers are cleaned up automatically.
 - OpenNap: New Napigator servers are tried first for connects.
 - Added countdown timer for waiting downloads.
 - Less aggressive searching. This does not waste server resources as
   much as it did before and the download results should be the same.
 - Split up users sub menu if number is greater than 10.
 - Show queue position and username in download status.
 - Default to Kunststoff as look&feel.

 Bug Fixes

 - Fixed dead lock when transfers were aborted. This was a race
   condition between the auto download search thread and transfer
   thread that could result in the event thread waiting for a lock
   forever.
 - Fixed dead lock when starting many transfers at once.
 - Added tooltip option to appearance preferences panel (disabled by
   default on Mac OS X) to work around hangs on Mac OS X when showing
   tooltips in context menus.
 - Use swing file chooser on Mac OS X to select directory. Looks like
   Mac OS X does not like multiple modal dialogs stacked on top of
   each other.
 - All //WantQueue messages are actually filtered.
 - The command for opening files is correctly saved.
 - Dot files are not shared anymore. This avoids possible security
   breaches. 
 - Users are removed from multi-channels if servers disconnects.
 - Fixed auto creation of directories for finished files.
 - Only show notification once, if multiple preferences have been
   changed that require a restart.
 - Fixed transfer queue limits. The unlimited setting was not
   correctly restored.
 - Allow more characters like "[" in username and password.
 - Fixed wizard being shown to often on some setups.
 - Fixed queuing with WinMX clients
 - The location of the divider control of the global chat panel and
   the channel panels was separated.
 - OpenNap: Fixed scrolling console panel.
 - Blocked multiple downloads of the same file.
 - Clean up old search results when panel is closed.
 - Fixed closing of multi-channel panels. Channels can now be rejoined.
 - Downloads and uploads can now be aborted immediately.
 - Fixed "stalled" state for downloads if no data was transfered.
 - Fixed inactive transfer queues by checking every 30 seconds.
 - Fixed parsing of opennap-ng version.
 - Show users of all selected search results and transfers in context
   menu and not only from the active row. 
 - Fixed user being gone, once download finished.
 - Added locale directories in Mac OS X package.
 - Fixed sockets that were left open when upload failed.
 - Fixed table header popup menu for platform conformity. 
 - Fixed byte being display as 'b' instead of 'B'.
 - Fixed path not being selected when file tree dialog was opened.

Version 2.4-beta6 (2002-11-19)

Version 2.4-beta5 (2002-11-16)

Version 2.4-beta4 (2002-11-16)

Version 2.4-beta3 (2002-11-15)

Version 2.4-beta2 (2002-10-29)

Version 2.4-beta1 (2002-10-27)


Version 2.3 (2002-10-09)

 Improvements

 - Moved Shares to the bottom since moving it to the top actually wasn't such
   a good idea to avoid the confusion about what is shared and what not. 
 - French translation was updated.

 Bug Fixes

 - A grave direct upload bug was fixed.
 - Some bugs in the ServerVersion parser were fixed.


Version 2.3-pre3 (2002-10-03)

  New Features

 - Configurable time stamping of chat messages.
 - Downloads can be kept running forever.

 Improvements

 - Shares are now on the top in the Library Panel, to avoid confusion
   with the root and the home tree.
 - The autodownload search interval and the number of searches can be
   configured in the preferences panel.
 - the number of uploads and downloads can be configured from the transfer
   panel.


Version 2.3-pre2 (2002-09-26)

  New Features

 - Italian translation (not yet completely finished)	  

 Bug Fixes

 - Added the missing resource.


Version 2.3-pre1 (2002-09-25)

 Improvements

 - Show home directory in library panel.
 - Delayed preview of files in library panel for smooth scrolling.

 Bug Fixes

 - Fixed never finishing downloads.
 - Fixed too many bytes being uploaded if file size is not a multiple
   of 512. 


Version 2.2 (2002-08-21)

 Bug Fixes

 - Corrected java readline url.
 - Fixed view toggle when images are not shown.
 - Validate server username and passwords if customized.
 - Emacs key binding fixes.
 - Ant compile additions and fixes.
 - Better double filter for search results.
 - Fixed wave file binding for noatun.
 - Do not abort downloads if at least one user is still queued.
 - Grave upload corruption fixed.


Version 2.2-pre3 (2002-07-24)

 Bug Fixes

 - Fix downloads from firewalled peers.
 - Set correct link speed.
 - Fixed wrong checking of characters in username and password.
 - Fixed nasty preferences bug, which caused XNap to fail if not 
   previously installed

Version 2.2-pre2 (2002-07-20)

 Improvements

 - Auto completion is disabled by default and can be configured.
 - Shortened search interval of resumed downloads.
 - All search options are restored when selecting a previous search from
   history. 
 - Do not allow invalid characters in preferences dialog and wizard.
 - Added emacs-style kill ring.

 Bug Fixes

 - Removed plugin install dialog.
 - Case insensitive compare for auto join channels.
 - Fixed version parsing.
 - Threaded auto update.
 - Validate preferences on startup.
 - Fixed firewalled uploads.
 - Split too large private messages.
 - Show correct file count in chat table for local user.
 - Fixed exception when switching between tabbed and icon view.


Version 2.2-pre1 (2002-06-30)

 New Features
 
 - XNap supports queuing of downloads and uploads for the OpenNap protocol.
 - XNap can update itself when a new version is available.
 - Auto-Completion for input fields.
 - Chat text fields have a history.
 - Possibility to automatically resume Downloads at startup.
 - Support for Emacs key-bindings :-).
 - Possibility to block users sharing less than a certain amount of files.
 - Possibility to ban users.
 - Each server can be manually edited if you want to customize your user names
   for some servers.
 - Uploads can be manually started.

 Improvements

 - Normal and Automatic Downloads have been merged.
 - Browse Tree is sorted during creation.
 - Open With supports {} to insert the files which are to be opened between
   surrounding commands.
 - The final filename of a download can be configured in the search filter
   editor dialog.
 - Normal Downloads are gone, there are only AutoDownloads which can be
   resumed.
 - Rename of files in the Library table has become more comfortable.
 - If a running download is too slow you can skip to another user by resuming
   the download.
 - Sharing of directories in the Preferences Dialog has become easier and more
   intuitive.
 - Library Tree can be reloaded manually if the directories structure has
   changed.
 - Improved search cache.
 - Repository shows status when being updated.
 - The feedback dialog has been enriched by a subject field.
 - There are separated confirmation dialogs for deletion of files and
   downloads.
 - Icon-blinking on channel join is now configurable.
 - Support for search peers.

 Bug Fixes

 - Lots of smaller fixes, see the ChangeLog for details.


Version 2.1 (2002-05-06)

 New Features

 - Added custom theme which allows a custom font to be configured. The
   font is used as a default in all GUI controls.

 Improvements

 - OpenNap plugin: Prioritize packets. This helps a lot when sharing
   many files.
 - OpenNap plugin: Dynamic network send thread allocation. This helps
   a lot to improve liveness of the XNap when connected to many
   servers. Also the send queue is not blocked anymore.
 - More localization. The German translation is almost complete. 
 - Separated settings of browse table and search table.
 - Added user count to chat channel status.
 - Remember name and email in feedback dialog.

 Bug Fixes

 - More asynchronous communication fixes. This should finally fix GUI
   crashes. 
 - Removed threading in preferences dialog which could cause an
   exception if apply button was pressed before dialog had completed
   loading. 
 - Fixed case sensitive table sorting, it is case insensitive again.
 - User table columns were fixed, the plugin table properties were
   saved in the wrong place.


Version 2.1-pre2 (2002-05-02)

 New Features

 - Added localization support. Currently English and German (only
   partial) are supported.
 - Rudimentary ant support.
 - Save and restore table column widths and table order between
   sessions.
 - Enhanced search syntax: Use "bar -foo" to search for bar excluding foo.
 - Chat channel auto join support.

 Improvements

 - Do not beep on own chat messages.
 - More meaningful status information in library panel.
 - OpenNap plugin: Colorful table entries in hotlist panel.
 - Colorful chat panel (takes a while to initialize).
 - Made console and chat font configurable.

 Bug Fixes

 - Fixed enable status of file open action.
 - Multi-byte character fix by taro@donai.com.
 - OpenNap plugin: Fixed server synchronization bug which caused GUI
   freezes. 


Version 2.1-pre1 (2002-04-23)

 We have not yet found the time to fix the gift plugin. 

 New Features

 - Full featured chat. Chat rooms can be joined and created.
 - Dynamic tables, view columns can be selected by right clicking the
   table header or using the preferences menu.
 - OpenNap plugin: Added hotlist panel. 
 - Added Look and Feel preferences panel.
 - Added plugin specific search result menus.
 - OpenNap plugin: Added Whois queries (results will show up in
   hotlist panel).
 - OpenNap plugin: Added direct browse.
 - Added local library search from library panel. No substring match, yet.
 - Added delete option to library panel. Confirm dialogs are shown.
 - Added current total transfer rate indicator to status line.
 - Added rename option to library panel.
 - Added video info plugin. Shows resolution and length.
 - Copied native Windows support (ziga.dll) from ziga project. If XNap
   is minimized, it is hidden to the system tray and files can be
   opened using Windows file associations.
 - Made Auto Download search filter editable.
 - Added beep on new chat messages preference.

 Improvements

 - OpenNap plugin: Napigator DNS entries are used instead of IP
   addresses.
 - OpenNap plugin: Napigator servers are stored and loaded
   automatically. 
 - More responsive aborting status. 
 - Show user list in private chat channels.
 - OpenNap Plugin: Added server version parsing. That way we can send
   more precise search requests.
 - Advanced search options can be hidden. 
 - Threaded preferences dialog initialization.
 - OpenNap plugin: Added preference to limit shares per server.
 - Realigned some of the controls in the preferences dialog.
 - Use more precise progress which helps to sort slow and big transfers.
 - Double click in library panel executes open instead of play.
 - Updated Kunststoff Look and Feel to version 2.0.1.
 - Added "Open With" sub menu. The last 5 programs are stored.
 - Renamed Score column to Availability.
 - Made transfer pane configurable. It can be toggled between a split
   pane and traditional tabbed pane.

 Bug Fixes

 - OpenNap plugin: OpenNap send queue. This should avoid a frozen GUI
   when sharing many files.
 - OpenNap plugin: Fixed NullPointerException when sharing files.
 - OpenNap plugin: Fixed NullPointerException when connecting to
   server.
 - Fixed log4j appender.
 - Fixed too many download requests.
 - Fixed download on enter in search result table.
 - Added filename sanitizer in case server sends invalid filename or
   directories are not parsed correctly.
 - OpenNap plugin: Fixed listener thread, if packets don't arrive in
   single chunk.
 - Fixed browse tree file counts. 
 - OpenNap plugin: Do not send bitrate if using media type search
   option.
 - OpenNap plugin: Fixed 0 max search servers preference which
   sometimes broke searches in 2.0 release.

 Known Bugs

 - Table context menus might not work. Column widths are not restored.
 - Maintain sort order can not be configured any more. 
 - Chat beeps do not differentiate between received and sent
   messages.


Version 2.1-beta1 (2002-03-14)

Version 2.1-alpha1 (2002-03-11)


Version 2.0 (2002-03-08)

 We removed the giFT plugin from the distribution because it was not
 working with the last giFT release. Once the giFT project releases a
 stable version the plugin will be fixed and readded.

 Improvements

 - OpenNap: Filter invalid download requests.

 Bug Fixes

 - Fixed debug output.
 - Fixed wrong upload throttle in transfer panel.
 - OpenNap: Fix wrong packet parsing, which could result in a server
   communication sync loss.
 - OpenNap: Fix download ack not parsed correctly which could result
   in N/A status although file is available.

 Known Bugs

 - Sharing files can block the server connection and result in a
   GUI freeze.


Version 2.0-pre3 (2002-02-26)

 New Features

 - Log4j is used for logging. Logging can be configured through
   debug.prefs.
 - Private chat for OpenNap plugin.
 - Browse and chat can be selected from context menu for search
   results and transfers.

 Improvements

 - Reduced number of threads.
 - Show more verbose status in OpenNap server table.
 - Command line searches show up in GUI.
 - Remember throttle values between session if throttle is disabled.
 - Only connect to each OpenNap network once.
 - Use GNU getopt for command line parsing. Debug output level can be passed
   on command line.
 - Send queue limit to OpenNap servers if upload queue is full.
 
 Bug Fixes
 
 - Fixed dead locks, when running downloads were aborted or deleted.
 - Clear file table in library panel if selected directory is not
   readable.
 - Requeue timed-out downloads.
 - Show file and user for uploads.
 - Fixed share and unshare from library panel.
 - Fixed search queue. 


Version 2.0-pre2 (2002-02-22)

 New Features

 - Enabled id3v1 tag editor.
 - Downloading and Searching works from console as well.

 Improvements
 
 - Rewrote download layer. Only one thread per download is
   spawned. Auto downloads need two threads (downloading and
   searching). 
 - Rewrote search layer. Only one thread per search is spawned.
 - Save divider locations of library panel.
 - Show table values as tooltip text. Long error messages can be read
   easily now.
 - Added home button to directory tree.
 - Made hard coded values configurable (only directly in preferences
   file).
 - Added console table formatter to improve readability of console
   output. 

 Bug Fixes

 - Fixed download completion bug.
 - Set plugin description not editable.
 - Fixed status messages if transfer can not be aborted or resumed.

Version 2.0-pre1 (2002-02-10)

 New Features
 
 - Reworked XNap architecture. Implemented network and viewer plugins.
 - Added tree view for browses.
 - Added filter for quick filtering of search results.
 - Added score column to search result table.
 - Added "Maintain Sort Order" property to add new table entries at
   the right the position (this will reset any selection).
 - Removed download status in search result table in favor of a split
   view that shows the active transfers.
 - Added more information to status line: Plugin status, active
   downloads, active uploads, number of shared files.
 - Added start up wizard.
 - Added command line toolbar.
 - Added console dialog that shows command line output, error.log and
   debug output. Debug output can be turned on and off during runtime.
 - Implemented throttle for upload and downloads, can be configured in
   the transfer panel. 
 - Added tree dialog for easy directory selection.
 - Command line searching and manual downloading should somewhat
   work. 
 - Added search abort button.

 Improvements

 - Resumable downloads were renamed to "Auto Download".
 - The search settings are stored with each auto download to improve
   usability.
 - Added search cache to improve auto downloads.
 - Repository updates don't rebuild repository from scratch anymore.
 - Automatically update repository on start up.
 - Added toggleable main view. The Evolution-style icon split pane
   looks more modern.
 - Also rewrote preferences dialog to make it look more Konqueror
   alike.
 - Update result counter in search result table header more often.
 - Update transfer status in a fixed interval to avoid jumping
   transfer rates.
 - Changed columns in library panel to make it more useful.
 - Implemented debug classes to filter unwanted messages.
 - Made toolbars enableable.
 - Lots of shortcuts to make life easier. Socks proxy support can be toggled
   on the fly.
 - Added more KDE icons. The library panel looks even cooler now.
 - Show reasonable size units instead of just bytes.
 - Added "Show error.log" button to feedback dialog. 
 - Create download and incomplete directory if not existent.
 - Got started on localization.

 Bug Fixes

 - Fixed download timeouts on slow connections.
 - Rewrote transfer progress bar to fix font problems.
 - Display of time left works correctly now.
 - Fixed server stats in OpenNap panel.
 - Fixed JDK 1.4 incompatibilities.
 - Delete of incomplete files works again.
 - Fixed exception on multi aborts and deletes.
 - Fixed simultaneous browses.

 Known Bugs
 
 - Auto Download seems to spawn a lot of threads which can crash XNap
   after long and intensive use. 


Version 2.0-alpha5 (2002-01-26)

Version 2.0-alpha4 (2002-01-21)

Version 2.0-alpha3 (2002-01-20)

Version 2.0-alpha2 (2002-01-19)

Version 2.0-alpha1 (2002-01-16)


Version 1.3 (2002-01-28)

 Bug Fixes

 - Fixed some issues with deleting incomplete files.


Version 1.3-pre1 (2002-01-15)

 New Features
 
 - XNap supports advanced auto downloads, auto searches and resume of
   incomplete downloads.
 - Added the possibility to open files under KDE directly from any table
   holding files.
 - Added the "Open With..." to open files on any system.
 - Searching for special media types works for OpenNap by now.
 - Added info panel to show Id Tags of mp3 files in Library Panel.
 - Added Noatun support, works great!

 Improvements

 - The library tree has been substantially improved and is better structured.
 - Shares are automatically updated when you select a new folder to share or
   remove and existing one.
 - It's possible to select multiple folders to share and unshare in Library
   Tree.
 - Improved picture and text viewer in Library Panel.

 Bug Fix

 - Fixed wrong percent status in uploads when peer resumes a download.
 - Removed exceptions when sharing a label instead of a folder.
 - Fixed socks proxy settings in Preferences Dialog.
 - If Incomplete or Download directory is not set, current working directory
   is used instead.

 Known Bugs
 
 - Due to resumes and auto downloads max downloads does not work at all.


Version 1.2 (2001-12-13)
 
 Bug Fix

 - Resolved bug which concerned the detection of the installed java version and
   prevented XNap from starting.


Version 1.1 (2001-12-06)
	
 Bug Fixes

 - Lots of smaller fixes, see the ChangeLog for details


Version 1.1-pre2 (2001-11-09)

  New Features

  - Firewalled uploads and downloads should finally work.
  - Dropped zip distribution in favour of a Windows installer. The
    installer is based on the great Nullsoft Installer. Hopefully this
    will increase the user base a bit.
  - The last 10 search items are saved when XNap exits and restored on
    startup. 

  Improvements

  - Fixed default windows position to work on 640x480.
  - Download retries should be more reliable.
  - Only enqueue mp3 files from library panel.
  - Search field has a fixed width.
  - Enabled autoconnector by default and made the number of servers
    configurable.
  - Redid logos, now it says XNap everywhere :-).
  - FAQ is now in HTML to make navigation easier and to improve
    readability.
  - The feedback dialog should not block the app anymore while sending.

  Bug Fixes

  - Added more exception handlers for various NullPointer and
    NumberFormat exceptions.
  - Changed mp3 player default to avoid exception.
  - Fixed upload offset.
  - Fixed button arrangement in close dialog.


Version 1.1-pre1 (2001-11-10)

 New Features

 - Added history to searchfield to facilitate repeated searches.
 - Added an image preview for jpegs and gifs in the library panel.
 - Added facility to read text files and HTML files from within the library
   panel.
 - You can select the folders you want to share in the library panel.
 - Added new commands and libreadline support to commandline interface.
 - Added Autoconnector to GUI and commandline.
 - Added new menus to the menubar.
 - Added Kunststoff look and feel.
 - Added server stats display to nap server panel.

 Improvements

 - Closing Icon for SearchResults is in the TabbedPane header.
 - Length of visible text in the console and gift daemon panel is configurable.
 - Opennap panel: You can connect to servers using ENTER or a mouse double
   click.
 - Disconnect of servers is more responsive.
 - Attached error.log to feedback to enhance bug tracking.
 - Updated README.
 - Made delete of incomplete files configurable.

 Bug Fixes

 - Added exception for invalid upload requests.
 - Endless trying connections to dead nap servers fixed.
 - Fixed race conditions on transfer aborts.


Version 1.0 (2001-10-01)

 Improvements

 - Conversion of the entire code to the new Swing Event System.
 - All buttons have nice icons now.
 - several code cleanups.


Version 1.0-pre6 (2001-09-25)

 New Features

 - The window position and search settings are saved on exit and
 restored  on startup.
 - More preferences :-).
 - Added FastTrack support through giFT (http://gift.sf.net). The daemon 
 needs to be running on the local system (use the daemon panel to start it)
 or can be accessed through the network. 
 Searches are automatically performed through giFT and OpenNap
 servers. All features should work on both networks.
 - Added giFT statistics panel.
 - Added media type for giFT searches (the bitrate is currently
 only validated for nap searches).
 - Added http proxy support for giFT downloads.
 - Rudimentary upload limit implementation (uploads only work for nap
 so far).
 - Added OpenNap panel and relocated Server and Console panel.

 Improvements

 - The server panel got nice little arrow buttons in table headers.
 - The download and upload panel are reunited in the transfer panel.
 - Lots of code clean ups.
 - All dialogs are centered above the main application.
 - Added incomplete dir to library panel.
 - Aligned panels in preferences dialog to top.
 - Cleaner handling of status messages.

 Bug Fixes

 - Fixed uploadDir not being initialized properly. This resulted in
   exceptions when the preferences were written to disk.
 - Fixed exception when add server is canceled.


Version 1.0-pre5

 This version was never released and only exists in the cvs.


Version 1.0-pre4 (2001-09-16)

 New Features

 - The command line version supports two commands now:
   /q[uit] for quit and /pd[own] to list files.
 - Search results can be matched against the search text to filter
   fuzzy search results.
 - Added library panel. It shows a file tree and a list of mp3 files
   with their tags (dot files are not shown).
 - The library panel can also be used to spawn an mp3
   player. Currently jmf and xmms are supported directly but winamp and other
   players can be used, too.
 - Added uploads. This is not quite finished but already working
   (right now you can't limit the number of uploads).
 - You can set your upload directory and hit 'Update Shares' to send a
   current list of your shared files to all servers. For now you have
   to do that manually every once in a while when your files change.
 - Debug information is only written to stdout if you pass
   '--debug'. Otherwise exceptions are captured and written to
   ~/.xnap/error.log.

 Improvements

 - Less verbose but more meaningful output in command line version.
 - Added progress indicator to /pdown command.
 - Right mouse click on tables now behaves in a more standard way.
 - You can save the servers file to any location now, but beware only
   the ~/.xnap/hosts file will be loaded automatically on startup.
 - New servers received from Napigator will be inserted at the top of
   the server list.
 - Search panels can be closed with a context menu.

 Bug Fixes

 - 0 search servers will search across all networks.
 - Local port is set in command line version.
 - Fixed exception in search table when selecting last result.


Version 1.0-pre3

 This version was never released and only exists in the cvs.


Version 1.0-pre2 (2001-07-28)
 
 New Features

 - enter key in search result table starts download

 Improvements

 - units are shown in transfer panel table cells (not in the the header)

 Bug Fixes

 - added reverse mapping to table sorter, should fix the 
   table selection bug
 - fixed link speed sorting
 - fixed server listener null pointer bug 
 - fixed empty download directory
 - print more meaningful message if file could not be found
 - fixed clear finished in transfer panel


Version 1.0-pre1 (2001-07-25)

 New Features

 - added multiple searches
 - moved preferences to ~/.xnap/ directory
 - added more messages to chat panel
 - changed button bar to tabbed pane
 - added server status feedback
 - added search feedback
 - added command line version (in progress)
 - added context menus to all tables
 - added more messages to status bar
 - added open and add server dialog 

 Improvements

 - major code clean up
 - improved preferences dialog
 - improved feedback dialog
 - improved about dialog
 - improved new version check
 - improved download queue

 Known Bugs

 - table selection is reset when table contents changes
 - return key is not handled in search result table
 - the link speed is not sorted in a reasonable manner
 - not all server error messages are shown in the chat panel

